Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.compiler
Class OpLibSDB

    java.lang.Object
      com.hp.hpl.jena.sdb.compiler.OpLibSDB

    public class OpLibSDB

extends Object

Constructor Summary
`OpLibSDB()`

Method Summary
`static com.hp.hpl.jena.sparql.algebra.op.OpDistinct` | `asDistinct(com.hp.hpl.jena.sparql.algebra.Op op)`
`static com.hp.hpl.jena.sparql.algebra.op.OpOrder` | `asOrder(com.hp.hpl.jena.sparql.algebra.Op op)`
`static com.hp.hpl.jena.sparql.algebra.op.OpProject` | `asProject(com.hp.hpl.jena.sparql.algebra.Op op)`
`static com.hp.hpl.jena.sparql.algebra.op.OpReduced` | `asReduced(com.hp.hpl.jena.sparql.algebra.Op op)`
`static com.hp.hpl.jena.sparql.algebra.op.OpSlice` | `asSlice(com.hp.hpl.jena.sparql.algebra.Op op)`
`static boolean` | `isDistinct(com.hp.hpl.jena.sparql.algebra.Op op)`
`static boolean` | `isOrder(com.hp.hpl.jena.sparql.algebra.Op op)`
`static boolean` | `isProject(com.hp.hpl.jena.sparql.algebra.Op op)`
`static boolean` | `isReduced(com.hp.hpl.jena.sparql.algebra.Op op)`
`static boolean` | `isSlice(com.hp.hpl.jena.sparql.algebra.Op op)`
`static com.hp.hpl.jena.sparql.algebra.Op` | `sub(com.hp.hpl.jena.sparql.algebra.op.Op1 op)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpLibSDB

    public OpLibSDB()

Method Detail

### sub

    public static com.hp.hpl.jena.sparql.algebra.Op sub(com.hp.hpl.jena.sparql.algebra.op.Op1 op)

### isProject

    public static boolean isProject(com.hp.hpl.jena.sparql.algebra.Op op)

### asProject

    public static com.hp.hpl.jena.sparql.algebra.op.OpProject asProject(com.hp.hpl.jena.sparql.algebra.Op op)

### isDistinct

    public static boolean isDistinct(com.hp.hpl.jena.sparql.algebra.Op op)

### asDistinct

    public static com.hp.hpl.jena.sparql.algebra.op.OpDistinct asDistinct(com.hp.hpl.jena.sparql.algebra.Op op)

### isReduced

    public static boolean isReduced(com.hp.hpl.jena.sparql.algebra.Op op)

### asReduced

    public static com.hp.hpl.jena.sparql.algebra.op.OpReduced asReduced(com.hp.hpl.jena.sparql.algebra.Op op)

### isOrder

    public static boolean isOrder(com.hp.hpl.jena.sparql.algebra.Op op)

### asOrder

    public static com.hp.hpl.jena.sparql.algebra.op.OpOrder asOrder(com.hp.hpl.jena.sparql.algebra.Op op)

### isSlice

    public static boolean isSlice(com.hp.hpl.jena.sparql.algebra.Op op)

### asSlice

    public static com.hp.hpl.jena.sparql.algebra.op.OpSlice asSlice(com.hp.hpl.jena.sparql.algebra.Op op)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.